/** Fonts **/
@import url('https://fonts.googleapis.com/css2?family=Alegreya+Sans:wght@300;500;700&family=Rubik:ital,wght@0,400;0,500;1,400&display=swap');


/** Variables **/
 :root {
    /**color variables**/
    --clr-white: #FEFDFB;
    --clr-black: #13172F;
    --clr-green: #4FA759;
    --clr-light-green: #F8FCF8;
    --clr-purple: #9C4E98;
    --clr-lilac: #D6ADD4;
    --clr-orange: #E5A149;
    /**fonts variables**/
    --ff-primary: 'Alegreya Sans', sans-serif;
    --ff-secondary: 'Rubik', sans-serif;
    /** effects**/
    --transition: all 0.3s linear;
}



/** Global **/
html {
    font-size: 62.5%;
    min-width: 320px;
    scroll-behavior: smooth;
}

*,
 ::after,
 ::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--ff-secondary);
    background-color: var(--clr-white);
    color: var(--clr-black);
    font-size: 1.6rem;
}

img:not(.logo) {
    width: 100%;
}

a {
    text-decoration: none;
}

ul {
    list-style: none;
}

h1,
h2,
h3 {
    line-height: 95%;
    font-family: var(--ff-primary);
}

h1 {
    font-size: 3.2rem;
}

h2 {
    font-size: 2.8rem;
}

h3 {
    font-size: 2rem;
}

h4 {
    font-size: 2rem;
    font-family: var(--ff-secondary);
    letter-spacing: 0.1rem;
    line-height: 0.9rem;
}

p {
    font-size: 1.4rem;
    line-height: 1.5rem;
    letter-spacing: 0.03rem;
    color: var(--clr-black);
}

.light {
    font-weight: 300;
}

.purple {
    color: var(--clr-purple);
}

.strong {
    font-weight: 500;
}

.btn {
    background-color: var(--clr-green);
    border: transparent;
    color: var(--clr-white);
    font-family: var(--ff-secondary);
    font-size: 1.8rem;
    font-weight: 500;
    letter-spacing: 0.2rem;
    text-align: center;
    padding: 2rem;
    cursor: pointer;
    border-radius: 2px;
}

.btn:hover {
    background-color: var(--clr-orange);
}



/** Header **/
header {
    min-height: 85vh;
    position: relative;
    display: grid;
    place-items: center;
    padding: 0 20px;
}

header button.btn {
    box-shadow: 4px 4px 7px 2px rgba(96, 96, 96, 0.31);
    margin-top: 50px;
}

header h1 {
    color: var(--clr-white);
    text-align: center;
    line-height: 90%;
}

header span {
    text-align: center;
}

.portada-fondo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -2;
}

header::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(19, 23, 47, 0.3);
    z-index: -1;
}

.logo-header {
    width: 25% ;
    max-width: 150px;
    align-self: start;
    justify-self: end;
    margin-top: 1rem;
}

.secondary-btn {
    color: var(--clr-green);
    border: 2px var(--clr-green) solid;
    background: transparent;
    padding: 1rem;
    letter-spacing: 0.05rem;
}

button.secondary-btn:hover {
    background-color: var(--clr-green);
    color: var(--clr-light-green);
}


/** Sidebar **/
nav {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999999999999;
}

.overlay.active {
    width: 100vw;
    height: 100vh;
    background-color: rgba(19, 23, 47, 0.6);
}

.sidebar-toggle {
    display: block;
    cursor: pointer;
    position: fixed;
    top: 1rem;
    left: 1rem;
    transition: var(--transition);
    background-color: var(--clr-white);
    border-radius: 70%;
    padding: 1.4rem 1.8rem;
    z-index: 2;
    box-shadow: 0px 0px 92px -13px rgba(19, 23, 47, 0.79);
}

.sidebar-toggle.active {
    background: none;
}

.bar {
    display: block;
    width: 25px;
    height: 4px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: var(--transition);
    background-color: var(--clr-black);
    border-radius: 2px;
}

.sidebar-toggle.active .bar:nth-child(2) {
    opacity: 0;
}

.sidebar-toggle.active .bar:nth-child(1) {
    transform: translateY(9px) rotate(45deg);
}

.sidebar-toggle.active .bar:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
}

.logo {
    display: none;
}

.nav-links {
    display: flex;
    flex-flow: column nowrap;
    margin: 15% auto 0;
}

.nav-links li {
    margin-bottom: 2rem;
}

.nav-links a {
    font-weight: 400;
    text-transform: uppercase;
    line-height: 1.9rem;
    color: var(--clr-black);
}

.nav-links a:hover {
    color: var(--clr-purple);
}

.menu-social-icons {
    border-top: 1px var(--clr-black) solid;
    padding: 4rem;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
}

.menu-social-icons a {
    font-size: 2rem;
    color: var(--clr-black);
}

.menu-social-icons a:hover {
    color: var(--clr-purple);
}

.sidebar {
    background-color: var(--clr-white);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-rows: auto 1fr auto;
    row-gap: 1rem;
    transition: var(--transition);
    transform: translate(-100%);
}

.show-sidebar {
    transform: translate(0);
}

.sidebar-header {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    padding: 1rem 1.5rem;
}


/** Main **/

.donation-data {
    background-color: var(--clr-black);
    color: var(--clr-white);
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    padding: 20px 0;
}

.donation-data div {
    min-width: 200px;
    text-align: center;
    padding: 45px;
}



.donation-data span {
    font-size: 3rem;
    text-align: center;
    display: block;
    margin-bottom: 10px;
}

.donation-data p {
    color: var(--clr-white);
    width: 166px;
    height: 30px;
    left: 85px;
    top: 766px;

    font-family: Rubik;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 170%;


    text-align: center;
    letter-spacing: 0.02em;
}
    

.donation-data button {
    margin: 0 auto;
}



/** Intro **/
.intro {
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-around;
    align-content: center;
    text-align: center;
    padding: 10rem 5rem 5rem;
    margin: 0 auto;
    max-width: 685px;
}

.intro h1 {
    margin: 0 0 30px;
}

.intro span {
    font-weight: 500;
    font-size: 1.4rem;
}

.intro button {
    max-width: 268px;
    margin: 0 auto;
    margin-top: 50px;
}

.home-section-title,
.view-more {
    margin: 50px 0;
    display: flex;
    justify-content: center;
}

.home-section-title {
    align-self: center;
    color: var(--clr-purple);
    margin-top: 0;
}



/** Projects & Blog **/
.home-projects {
    height: 100%;
    margin: 5rem 0;
}

.home-projects h1 {
    margin-left: 5rem;
}

.project__cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    margin: 4rem 0;
}

.projects__more {
    display: flex;
    margin: 2rem 5rem;
    justify-content: flex-end;
}

.projects__more button {
    width: 100%;
}

.project__cards__card {
    width: 100%;
    min-width: 300px;
}

.cards__thumbnail {
    position: relative;
    cursor: pointer;
}

.cards__thumbnail img {
    width: 100%;
    height: 100%;
}

.cards__caption {
    position: absolute;
    top: 10%;
    left: 15%;
    transform: translate(-10%, -15%);
    color: var(--clr-white);
    font-family: var(--ff-primary);
    font-size: 3rem;
    font-weight: 500;
    line-height: 2.5rem;
}

.cards__caption span {
    text-shadow: 0px 0px 9px rgba(19, 23, 47, 0.77);
}


/** Products **/

.home-products {
    background-color: var(--clr-light-green);
    padding: 8rem 5rem;
    display: grid;
    gap: 60px;
    grid-auto-rows: auto;
    grid-template-columns: repeat(auto-fit, minmax(32rem, 1fr));
    margin: 5rem 0;
    text-align: center;
}

.home-products__intro {
    width: 100%;
    margin: auto 0;
}

.home-products__intro p {
    margin: 2rem 0;
}

.home-products__featured {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(24.6rem, 1fr));
    grid-auto-rows: auto;
}

.home-products__featured__item {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    text-align: center;
}

.home-products__featured__item span {
    margin: 1.5rem;
    font-weight: 500;
}

.home-products__featured__item a {
    color: var(--clr-black);
    font-weight: 500;
}

.home-products__featured__item a:hover {
    color: var(--clr-purple);
    text-decoration: underline;
}

.home-products__featured__item__image-container {
    width: 246px;
    align-self: center;
}

.home-products__featured__item__image-container img {
    width: 100%;
}

.home-products .secondary-btn {
    color: var(--clr-green);
    border-color: var(--clr-green);
}

.card__articles {
    margin-top: 2rem;
    padding: 0 2rem;
}

.card__articles p {
    margin-bottom: 3rem;
}

.card__articles a {
    color: var(--clr-green);
    font-weight: 500;
    text-decoration: underline;
}


/** Footer **/

footer {
    width: 100%;
    position: relative;
    height: 100%;
    margin-top: 12rem;
}

.footer-links {
    background-color: var(--clr-black);
    padding: 15rem 5rem 4rem;
    display: flex;
    flex-flow: column wrap;
    text-align: center;
}

.footer-links__logo {
    width: 120px;
    margin: 3rem auto;
}

.footer-links a {
    color: var(--clr-white);
}

.footer-links a:hover {
    color: var(--clr-lilac);
}

.footer-links span {
    color: var(--clr-white);
}

.footer-links__sections {
    margin-top: 3rem;
    display: block;
}

.footer-links__social-links ul {
    display: flex;
    margin-top: 2rem;
    justify-content: space-around;
}

.footer-links__social-links li {
    display: inline-flex;
    font-size: 3rem;
}

.footer-links__social-links a:hover {
    color: var(--clr-lilac);
}

.footer-links__content ul {
    display: none;
}

.footer-links__content li {
    margin-top: 0.5rem;
}

.footer-links__column {
    display: flex;
    flex-flow: column;
    justify-content: space-around;
}

.copyright {
    background-color: var(--clr-green);
    width: 100%;
    text-align: center;
    padding: 1rem 0;
}

.copyright p {
    font-size: 1.0rem;
    color: var(--clr-white);
    line-height: 1.2rem;
    letter-spacing: 0.085rem;
}

.footer-subscribe {
    background-color: var(--clr-orange);
    border-radius: 2px;
    width: 80%;
    margin: 0 auto;
    padding: 3rem 5rem;
    position: absolute;
    top: -10%;
    left: 10%;
    display: none;
    color: var(--clr-white);
}



/** Forms **/
input[type=email] {
    border: none;
    background: transparent;
    border-bottom: 1px var(--clr-white) solid;
    width: 100%;
    font-size: 1.6rem;
    margin: 2rem;
    font-family: var(--ff-secondary);
    padding: 1.8rem;
    color: var(--clr-light-green);
}

input:active,
input:focus {
    border: transparent;
}

@media screen and (min-width: 676px) {
   
    h1,
    h2,
    h3 {
        letter-spacing: 0.02rem;
        font-family: var(--ff-primary);
    }
    h1 {
        font-size: 5.6rem;
    }
    h2 {
        font-size: 4.0rem;
    }
    h3 {
        font-size: 3.2rem;
    }
    h4 {
        font-size: 3.2rem;
        font-family: var(--ff-secondary);
        letter-spacing: 0.1rem;
        line-height: 0.9rem;
    }
    p {
        font-size: 1.6rem;
        line-height: 2.5rem;
        letter-spacing: 0.05rem;
        color: var(--clr-black);
    }
 
    .header-cta {
        width: 60%;
    }
    .logo-header {
        justify-self: center;
    }
   
    .sidebar {
        width: 20vw;
    }
    .logo {
        display: block;
        width: 10%;
        min-width: 100px;
        margin-top: 5rem;
    }

    .projects__cards button {
        margin-right: 3.5rem;
        align-self: flex-end;
    }
    .projects__cards h1 {
        align-self: flex-start;
        margin-left: 3.5rem;
    }
    .projects__more button {
       
     width: 30rem;
}


       



    }

    .home-products {
        text-align: left;
    }
    .home-products__intro {
        width: 70%;
        text-align: left;
    }
   
    .footer-links__content {
        text-align: left;
    }
    .footer-links__content ul {
        display: block;
    }
    .footer-links__social-links ul {
        justify-content: center;
    }
    .footer-links__social-links li {
        font-size: 2rem;
        margin-left: 2rem;
    }
    .footer-links__social-links li:first-of-type {
        margin-left: 0;
    }
    .footer-links__sections {
        margin: 2rem 0;
    }
    .footer-links__column {
        width: 10%;
        min-width: 35rem;
    }
    .footer-links {
        width: 100%;
        flex-flow: row wrap;
    }
    .footer-subscribe {
        display: block;
    }
    .footer-subscribe h3 {
        width: 100%;
    }
    .footer-subscribe p,
    .footer-subscribe i {
        color: var(--clr-light-green);
    }
    .footer-subscribe i {
        font-size: 5rem;
    }
    .footer-subscribe__content {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
    }
    .footer-subscribe__content-text {
        display: flex;
        width: 50%;
        justify-content: space-between;
        align-items: center;
    }
    .footer-subscribe__content-text p {
        margin-left: 3rem;
        font-size: 1.5rem;
        line-height: 1.8rem;
    }
    .newsletter-input {
        display: flex;
        width: 50%;
        align-items: flex-end;
        justify-content: flex-end;
        align-items: center;
    }
    .newsletter-input input.btn:hover {
        background-color: var(--clr-purple);
    }
}